From: Charles Wimmer <charles@wimmer.net>

This patch fixes some shell quoting issues.  GOFLAGS was not being honored.

---

diff -aur a/Makefile b/Makefile
--- a/Makefile
+++ b/Makefile
@@ -61,7 +61,7 @@
 
 DATE    := $(shell date -u '+%Y-%m-%d %H:%M UTC')
 LDFLAGS := -ldflags='-w -X "main.Version=$(VERSION)" -X "main.BuildTime=$(DATE)"'
-GOFLAGS := CGO_ENABLED=0
+_GOFLAGS := CGO_ENABLED=0
 
 download:
 	$Q go mod download
@@ -71,7 +71,7 @@
 
 $(PREFIX)bin/$(BINNAME): download $(call rwildcard,*.go)
 	$Q mkdir -p $(@D)
-	$Q $(GOOS_OVERRIDE) $(GOFLAGS) go build -v -o $(PREFIX)bin/$(BINNAME) $(LDFLAGS) $(PKG)
+	$Q $(GOOS_OVERRIDE) $(_GOFLAGS) go build -v -o $(PREFIX)bin/$(BINNAME) $(LDFLAGS) $(PKG)
 
 # Target to force a build of step-ca without running tests
 simple: build
